astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- BarycentricTrueEcliptic

# BarycentricTrueEcliptic

class `astropy.coordinates.``BarycentricTrueEcliptic`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  Barycentric ecliptic coordinates. These origin of the coordinates are the barycenter of the solar system, with the x axis pointing in the direction of the true (not mean) equinox as at the time specified by the `equinox` attribute (as seen from Earth), and the xy-plane in the plane of the ecliptic for that date.

  This frame has one frame attribute:

  - `equinox`

      The date to assume for this frame. Determines the location of the x-axis and the location of the Earth and Sun.

  Warning

  In the current version of astropy, the ecliptic frames do not yet have stringent accuracy tests. We recommend you test to “known-good” cases to ensure this frames are what you are looking for. (and then ideally you would contribute these tests to Astropy!)

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  l : `Angle`, optional, must be keyword

  > The ecliptic longitude for this object (`b` must also be given and `representation` must be None).

  b : `Angle`, optional, must be keyword

  > The ecliptic latitude for this object (`l` must also be given and `representation` must be None).

  r : `Quantity`, optional, must be keyword

  > The Distance for this object from the sun’s center. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `equinox` |
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |

  Attributes Documentation

  `default_representation`
  `equinox` = <Time object: scale='utc' format='jyear_str' value=J2000.000>
  `frame_attributes` = OrderedDict([('equinox', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a4584d0>)])
  `frame_specific_representation_info`
  `name` = 'barycentrictrueecliptic'